"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AWSTransformer_1 = require("./AWSTransformer");
/**
 * The class that implements the AWS handler.
 */
class AWSHandler {
    constructor(app) {
        this._app = app;
        this._transformer = new AWSTransformer_1.default();
    }
    handle(event, context, callback) {
        const rawEvent = this._transformer.transformRawEvent(event);
        const rawCallback = this._transformer.transformRawCallback(callback);
        this._app.handle(rawEvent, rawCallback);
    }
}
exports.default = AWSHandler;
//# sourceMappingURL=AWSHandler.js.map