"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * The RAW callback implementation for AWS Lambda.
 */
class AWSRawCallback {
    constructor(callback) {
        this.callback = callback;
    }
    sendError(error) {
        this.callback(error, null);
    }
    send(statusCode, headers, body) {
        this.callback(null, { statusCode, headers, body });
    }
    finalize(err) {
        this.callback(err);
    }
}
exports.default = AWSRawCallback;
//# sourceMappingURL=AWSRawCallback.js.map